@echo off
:main
cls
echo.
echo.
echo.
echo.
echo                    REGIONET MAIN PROGRAMMING MENU
echo.
echo.
echo            M - Program a Mobile (TK-715)
echo            P - Program a Portable (TK-255)
echo            C - Change Com Port
echo            R - View Readme file
echo            K - View Kenwood Programming Documentation
echo            Q - Quit
echo.
choice /cmpcrkq Select option letter: 
echo.
if errorlevel 6 goto end
if errorlevel 5 goto KenDoc
if errorlevel 4 goto read
if errorlevel 3 goto com
if errorlevel 2 goto port
if errorlevel 1 goto mob

:mob
cls
echo.
echo.
echo.
echo.
echo    To program the regioNet TK-715 mobile, you must put the radio
echo    in the programming mode.  Follow the below steps:
echo.
echo    1. Turn off the radio.
echo    2. Plug in the programming cable.
echo    3. Depress the 'CALL' button and power-up, keeping the 'CALL' button
echo       depressed until "PROG' appears on the display.
echo.
echo.
pause
kenmob.exe
goto main

:read
edit readme.txt
goto main

:com
cls
echo.
echo.
echo.
echo            Com Port Selection
echo.
echo.
echo.
echo            1 - Select for Com port 1
echo            2 - Select for Com port 2
echo            X - Exit to previous menu
echo.
choice/c12X
if errorlevel 3 goto main
if errorlevel 2 goto com2
if errorlevel 1 goto com1

:com1
echo.
echo.
echo.
copy config.en1 config.ken
echo.
echo.
echo                       COM PORT 1 IS NOW ACTIVE
echo.
echo.
echo.
pause
goto com

:com2
echo.
echo.
echo.
copy config.en2 config.ken
echo.
echo.
echo                       COM PORT 2 IS NOW ACTIVE
echo.
echo.
echo.
pause
goto com


:KenDoc
cls
echo.
echo.
echo.
echo.
echo    The Kenwood documentation can be viewed using Word 6.0 or any
echo    compatible word processor.  The file name is Kenwood.Doc and
echo    can be found in the regioNet directory on the drive you selected.
echo.
echo    This documentation is also included in your dealer manual titled
echo.
echo                     "TK-715/815 Personalisation"
echo.
echo.
echo.
pause
goto main

:port
cls
echo.
echo.   _____________________________________________________________________
echo      The TK-255 does not come from the factory with the channel tables
echo      pre-loaded.  You will need to load this prior to programming the
echo      Idents.  To accomplish this, simply select option C below.
echo.
echo      NOTE: Channel Table loading is required only once.
echo.
echo.
echo      The TK-255 has new software available.  Please download this by
echo      selected option S, below.
echo.
echo      NOTE: This process is required initially, and as subsequent
echo            software upgrades become available.  
echo    ---------------------------------------------------------------------
echo.
echo                Regionet Portable Programming Menu
echo.
echo.
echo           I - Program Portable (TK-255) - Idents
echo           C - Download Channel Table
echo           S - Download New Software
echo           X - Exit to Previous Menu
echo.
echo.
choice/cicsx Select TK-255 option letter:
echo.
if errorlevel 4 goto main
if errorlevel 3 goto software
if errorlevel 2 goto channel
if errorlevel 1 goto alert

:alert
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo         ALERT!  ALERT!  Have you downloaded new software?
echo.
echo         NOTE:  Is is very important that you download new software
echo                into each portable you plan to put in service.  To do so
echo                now, select option N, below.
echo.
echo.
echo.
echo.                   Y - Yes
echo.                   N - No
echo.
echo.
choice/cyn Please Select:
echo.
if errorlevel 2 goto software
if errorlevel 1 goto idents

:idents
cls
echo.
echo.
echo.
echo.
echo    To program the regioNet TK-255 portable, you must put the radio
echo    in the programming mode.  Follow the below steps:
echo.
echo    1. Turn off the radio.
echo    2. Plug in the programming cable.
echo    3. Depress the 'CALL' button and power-up, keeping the 'CALL' button
echo       depressed until 'PROG' appears on the display.
echo.
echo.
pause
kenport
goto port

:channel
cls
echo.
echo.
echo    To load the Channel Tables, you must put the radio in the download
echo    mode.  Follow the below steps:
echo.
echo    1. Turn off the radio.
echo    2. Plug in the programming cable.
echo    3. Depress the 'CALL' button AND 'F' buttons and power-up, keeping the
echo       the 'CALL' and 'F' buttons depressed until 'LOAD' appears on the
echo       display.
echo    4. Select the "Download a Channel Table", option C, from the Kenwood
echo       Engineering menu (accessed after exiting these message).
echo       Type Ch_Table and press enter.
echo.
pause
keneng
goto port

:software
cls
echo.
echo.
echo    To load New Software, you must put the radio in the download
echo    mode.  Follow the below steps:
echo.
echo    1. Turn off the radio.
echo    2. Plug in the programming cable.
echo    3. Depress the 'CALL' button AND 'F' buttons and power-up, keeping the
echo       the 'CALL' and 'F' buttons depressed until 'LOAD' appears on the
echo       display.
echo    4. Select the "Download New Software", option N, from the Kenwood
echo       Engineering menu (accessed after exiting these message).
echo       Type 4Group-P and press enter.
echo.
pause
keneng
goto port

:end
echo.
echo.
echo.


